"The site's security certificate is not trusted"

johnlyon33
Tourist
9 0 4

Hey guys. Really struggling with this issue on IOS devices only

Have read through the below pinned bulleting from Shopify directly but when accessing our website via the Instagram URL, we continually get the error message in the subject line.

Can someone provide some guidance as to why this is and why it only occurs on IOS devices? I have tested it on my mac (Chrome and Safari), PC (Chrome and Safari) and Android device (Chrome and Instagram app) and cannot replicate the IOS security issues.

Thanks in advance!

https://community.shopify.com/c/shopify-discussions/october-2021-ssl-certificate-why-am-i-seeing-the... 

Replies 4 (4)
Nancy_OMalley
Tourist
17 0 0

this is happening to me as well. Any solution? 

johnlyon33
Tourist
9 0 4

@Shopify - can we get at least a response please? I am getting near-daily notes from customers, who we have worked hard to get in front of, to them tell us they can't access the site because your platform isn't functionally correctly 

iedu45
New Member
1 0 1

Its very common these days and so many people including me are facing this type of security issues specially with IOS devices but still I do not find any solution here and looking to get a valid source to solve this problem.

johnlyon33
Tourist
9 0 4

Pet hate when folks ask about an issue on the web, get a response or resolution but don't keep the blog post updated - so here goes...

Got hold of Shopify support who noted:

"Technical have advised us and the store itself is fine, the issue is that the customers' browsers or devices are not up to date. Because of the LetsEncrypt issue, all devices and browsers must be up to date before accessing Shopify stores, as well as lots of other websites. When customers contact you about this, please advise them to check their device settings for any updates that may be pending, then clear their cache and cookies. If the device is up to date, they should be able to access the store again"

Not a great answer, to which I asked 'Hmmm. Seems a little awkward to ask customers to alter their device in lieu of a website. Why wouldn't Shopify support more than 1 version of the device's software?' Response of:

There is an issue with LetsEncrypt and as we use them for our security protocols, we can only support the latest version of the softwares until they sort their issues out

Insightful but not overly helpful I would add. Hope this trail assists someone digging through the forums in the future!

J